---
slug: /1235/what
displayed_sidebar: "0.2"
---

# What is Dagger?

Dagger is a portable devkit for CICD.

Using Dagger, software teams can develop powerful CICD pipelines with minimal effort, then run them anywhere.

## Benefits

Benefits of using Dagger include:

* Unify dev and CI environments. Write your pipeline once, Dagger will run it the same everywhere.
* Reduce CI lock-in. No more re-writing everything from scratch every 6 months.
* Rapid debugging of your pipelines. Dagger runs equally well on your local machine, and in CI.

## How does it work?

1. Automate actions with your favorite programming language. No proprietary SDK: just regular shell, Go, Javascript, Python...
2. Reuse actions from a large and growing catalog.
3. Tie it all together in CUE - a revolutionary declarative language invented at Google. No more YAML hell!
4. Test and debug instantly on your local machine. No more waiting 10min to catch a typo.
5. Run your pipelines on any Docker-compatible runtime, for maximum portability. This means most modern CI runners can run Dagger out of the box.
